Bug 333929 - Target ICC profile is common to all queues from BQM
Summary: Target ICC profile is common to all queues from BQM
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Bqm-ColorManagement (show other bugs)
Version: 4.0.0
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-26 17:19 UTC by Romain Henriet
Modified: 2016-07-03 19:48 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Henriet 2014-04-26 17:19:55 UTC
In the batch queue manager, the destination profile for the ICC profile converter cannot be different from one queue to another.
It is not loaded either when using saved workflows

Reproducible: Always

Steps to Reproduce:
1. Open Batch queue manager
2. Add ICC convert tool 
3. In "Icc Convert", select "Convert to Adobe RGB (1998)" for example
4. Create a new Queue
5. Add ICC convert tool 
6. In "Icc Convert", select "Convert to Apple RGB" for example
7. Switch to Queue #1
Actual Results:  
ICC Convert is configured for "Apple RGB"

Expected Results:  
ICC Convert should be configured for "Adobe RGB (1998)"

I created a workflow that converts photos for web publishing :
    * First, it resizes the photo to 1024 pixels
    * Second, it convert ICC profile to sRGB
Then I saved this workflow and closed digikam.

Later, I loaded this workflow again :
    * Resize tool was configured for 1024 pixels   : OK
    * ICC Convert was configured for "Adobe RGB (1998)"   !!!

However "queue.xml" contains the following lines :
        <tool>
            <toolname value="IccConvert"/>
            <toolgroup value="3"/>
            <index value="1"/>
            <version value="1"/>
            <parameter type="QString" value="/usr/share/kde4/apps/libkdcraw/profiles/srgb-d65.icm" name="ProfilePath"/>
        </tool>
Comment 1 pascalio 2014-11-08 15:43:50 UTC
Isn't it the same as https://bugs.kde.org/show_bug.cgi?id=318726 ?
Comment 2 Jan Wolter 2014-12-10 18:27:58 UTC
The patch 89911 I just commited to bug #318726 solves also this problem completely.
Comment 3 caulier.gilles 2014-12-10 21:45:28 UTC
Git commit 93fc881698d36a70eba1fd1749ef851574d0d2df by Gilles Caulier.
Committed on 10/12/2014 at 21:43.
Pushed by cgilles into branch 'master'.

apply patch #89911 from Jan Wolter to solves problem with BQM IccConvert tool about settings management with workflow
Related: bug 318726
FIXED-IN: 4.6.0

M  +2    -1    NEWS
M  +1    -1    libs/dimg/filters/icc/iccprofilesettings.cpp
M  +2    -0    utilities/queuemanager/basetools/color/iccconvert.cpp

http://commits.kde.org/digikam/93fc881698d36a70eba1fd1749ef851574d0d2df